Alokai

GetOrdersParameters

Necessary and optional parameters to get orders.

interface GetOrdersParameters {
	cart_id?: string;
	channel_id?: number;
	customer_id?: number;
	email?: string;
	is_deleted?: boolean;
	limit?: number;
	max_date_created?: string;
	max_date_modified?: string;
	max_id?: number;
	max_total?: number;
	min_date_created?: string;
	min_date_modified?: string;
	min_id?: number;
	min_total?: number;
	page?: number;
	payment_method?: string;
	sort?: string;
	status_id?: number;
}

Properties

NameRequiredTypeDescription
cart_idOptionalstringThe cart ID of the order.
channel_idOptionalnumberThe Channel ID of the Order.
customer_idOptionalnumberCustomer ID
emailOptionalstringThe email of the customer.
is_deletedOptionalbooleanIf the order was deleted or archived.
limitOptionalnumberNumber of results to return.
max_date_createdOptionalstringMaximum date the order was created in RFC-2822 or ISO-8601. RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400 ISO-8601: 2017-04-20T11:32:00.000-04:00
max_date_modifiedOptionalstringMaximum date the order was modified in RFC-2822 or ISO-8601. RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400 ISO-8601: 2017-04-20T11:32:00.000-04:00
max_idOptionalnumberThe maximum order ID.
max_totalOptionalnumberThe maximum order total in float format. eg. 12.50
min_date_createdOptionalstringMinimum date the order was created in RFC-2822 or ISO-8601. RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400 ISO-8601: 2017-04-20T11:32:00.000-04:00
min_date_modifiedOptionalstringMinimum date the order was modified in RFC-2822 or ISO-8601. RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400 ISO-8601: 2017-04-20T11:32:00.000-04:00
min_idOptionalnumberThe minimum order ID.
min_totalOptionalnumberThe minimum order total in float format. eg. 12.50
pageOptionalnumberThe page to return in the response.
payment_methodOptionalstringThe payment method used on the order.
sortOptionalstringField and direction to sort orders. To specify the direction, add :asc or :desc to the end of the query parameter. E.g. sort=date_created:desc.
status_idOptionalnumberThe staus ID of the order. You can get the status id from the /orders endpoints.

On this page